net.sourceforge.jnlp.runtime

## Class RhinoBasedPacEvaluator

- java.lang.Object
- - net.sourceforge.jnlp.runtime.RhinoBasedPacEvaluator

- All Implemented Interfaces:
    PacEvaluator

      public class RhinoBasedPacEvaluator
      extends java.lang.Object
      implements PacEvaluator

  Represents a Proxy Auto Config file. This object can be used to evaluate the proxy file to find the proxy for a given url.
  See Also:
    The PAC File

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RhinoBasedPacEvaluator(java.net.URL pacUrl)` Initialize a new object by using the PAC file located at the given URL.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getProxies(java.net.URL url)` Get the proxies for accessing a given URL.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RhinoBasedPacEvaluator

          public RhinoBasedPacEvaluator(java.net.URL pacUrl)

      Initialize a new object by using the PAC file located at the given URL.
      Parameters:
        `pacUrl` - the url of the PAC file to use

  - ### Method Detail

    - #### getProxies

          public java.lang.String getProxies(java.net.URL url)

      Get the proxies for accessing a given URL. The result is obtained by evaluating the PAC file with the given url (and the host) as input. This method performs caching of the result.
      Specified by:
        `getProxies` in interface `PacEvaluator`
      Parameters:
        `url` - the url for which a proxy is desired
      Returns:
        a list of proxies in a string like

            "PROXY foo.example.com:8080; PROXY bar.example.com:8080; DIRECT"

      See Also:
        `getProxiesWithoutCaching(URL)`

Submit a bug or feature